﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IGStockAnnotator.ViewModel;
using System.Collections.Specialized;

namespace IGStockAnnotator
{
    public class ObservableBindingList<T> : System.ComponentModel.BindingList<T>, INotifyCollectionChanged
    {
        public override void EndNew(int itemIndex)
        {
            base.EndNew(itemIndex);
            if (itemIndex != -1)
            {
                if (CollectionChanged != null)
                    CollectionChanged(this, 
                        new NotifyCollectionChangedEventArgs(NotifyCollectionChangedAction.Add, this[itemIndex], itemIndex));
            }
        }

        public event NotifyCollectionChangedEventHandler CollectionChanged;
    }
}
