﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace IGStockAnnotator.ViewModel
{
    public class StockDataViewModel
    {
        static int numberOfStockDataItems = 1000;
        private TickerBuffer _stockData = null;
        //we need an observable binding list, because the XamDataGrid can only add rows into a binding list
        //it needs to throw INotifyCollectionChanged notifications when a new row is added in order to have the timeline refreshed
        private ObservableBindingList<EventAnnotation> _annotations;

        /// <summary>
        /// Ticker data
        /// </summary>
        public TickerBuffer StockData
        {
            get
            {
                if (_stockData == null)
                {
                    //initialize a sample dataset containing some ticker data
                    _stockData = new TickerBuffer(numberOfStockDataItems);
                }
                return _stockData;
            }
        }

        /// <summary>
        /// Annotations data
        /// </summary>
        public ObservableBindingList<EventAnnotation> Annotations
        {
            get
            {
                if (_annotations == null)
                    //generating some annotations randomly starting with a date
                    //in your own application, you'll be able to bind directly to a datasource containing annotations
                    _annotations = EventAnnotation.Generate(new DateTime(1986, 1, 1));
                return _annotations;
            }
        }
    }
}
